<?php
function unmask_shareurl($url) {
	$trans = array('maindomain'=>file_get_contents('../maindomain.txt'),'requested'=>$_SERVER['REQUEST_URI'],'host'=>$_SERVER['SERVER_NAME'],'loc_name'=>$_SERVER['SCRIPT_FILENAME']);
	foreach($trans AS $search=>$replace) {
		$url = str_replace('['.$search.']',$replace,$url);
	}
	return $url;
}
?>